Knowledge Base |

# REG: User Preferences Entries, PART 2

Article ID: 102977

Article Last Modified on 11/1/2006

APPLIES TO

- Microsoft Windows NT Advanced Server 3.1
- Microsoft Windows NT Workstation 3.1
- Microsoft Windows NT Advanced Server 3.1

This article was previously published under Q102977

## SUMMARY

The article contains REGISTRY entries for User Preferences, Part 2. These subgroups are included:

- Cursor Entry Values for Users
- Desktop Entry Values for Users
- Environment Variable Entries for Users
- File Manager Entries for Users
- File Manager Software Settings
- Extensions Entries for Users

--------------------------------------------------------------
This is the second of five articles on the User Preferences entries; for the other entries, see "User Preferences Entries, Part 1," and "User Preferences Entries, Part 3," "User Preferences Entries, Part 4" and "User Preferences Entries, Part 5."

### REGISTRY ENTRIES FOR USER PREFERENCES

The information presented here is primarily for troubleshooting, showing the default entry values and explaining the meaning of important entries. There are no hidden values that you can set for user preferences. All of these values can be set using the icons in Control Panel or the tools in the Administrative Tools group, or other programs provided with Windows NT.
All Registry paths shown here are for HKEY_CURRENT_USER, to show how you can view entries for the currently logged on user. However, most of these entries also appear in HKEY_USERS\.DEFAULT, where changing entries will change values for the default user profile.

    CURSORS ENTRY VALUES FOR USERS
    ==============================

    The Cursor subkey contains entries that specify the .ANI or .CUR files
    containing custom cursors defined using the Cursor icon in Control Panel.
    There are no entries in this key unless the user changes cursor styles in
    Control Panel. All data types are REG_SZ. The following lists the names for
    possible default entries:

       AppStarting
       Arrow
       CrossHair
       IBEam
       No
       SizeAll
       SizeNESW
       SizeNS
       SizeNWSE
       SizeWE
       Wait

    DESKTOP ENTRY VALUES FOR USERS
    ==============================

    The Desktop key contains entries that control the appearance of the screen
    background and the position of windows and icons on the screen. The
    following shows the Registry path:

       HKEY_CURRENT_USER\Control Panel\Desktop

    To change most of these entries, use the Desktop icon in Control Panel. The
    Desktop subkey can contain the following entries:

    BorderWidth   REG_SZ   number
    -----------------------------
    Default: 3

    Sets the width of the borders around all the windows that have sizeable
    borders. The possible range is 1 (narrowest) to 49 (widest).

    CoolSwitch   REG_SZ   Boolean
    -----------------------------
    Default: 1

    Turns fast task switching on or off. To change this entry, choose the
    Desktop icon from Control Panel, and check or clear the Fast ALT+TAB
    Switching option in the Task List dialog box.

    CursorBlinkRate   REG_SZ   milliseconds
    ---------------------------------------
    Default: 530

    Indicates how much time elapses between each blink of the selection cursor.

    GridGranularity   REG_SZ   number
    ---------------------------------
    Default: 0

    Specifies the size of the grid used to position windows on the screen. The
    possible range is 0 through 49, in units of 8 pixels.

    IconSpacing   REG_SZ   pixels
    -----------------------------
    Default: 75

    Specifies the number of pixels that appear horizontally between icons. A
    larger number increases the space between icons.

    IconTitleFaceName   REG_SZ   fontname
    -------------------------------------
    Default: Helv

    Specifies the font used to display icon titles. Change this value if the
    icon title is difficult to read.

    IconTitleSize   REG_SZ   number
    -------------------------------
    Default: 9

    Specifies the size of the font used to display icon titles. Change this
    value if the icon title is difficult to read.

    IconTitleStyle   REG_SZ   Boolean
    ---------------------------------
    Default: 0

    IconTitleWrap   REG_SZ   Boolean
    --------------------------------
    Default: 1

    Specifies whether to wrap icon titles. A value of 1 allows icon title
    wrapping and increases icon vertical spacing by three lines; 0 turns off
    icon title wrapping.

    Pattern   REG_SZ   b1 b2 b3 b4 b5 b6 b7 b8
    ------------------------------------------
    Default: (None) (This string appears when no pattern is specified.)

    Specifies a pattern for the screen background. The 8 numeric values define
    a bitmap 8 pixels wide and 8 pixels high. Each decimal value represents a
    byte, and each byte represents a row of 8 pixels, where 0 sets the
    corresponding pixel to the background color, and 1 sets the corresponding
    pixel to the foreground color (specified by the Background and WindowText
    values in the Colors subkey, respectively).

    For example, if you set the b1 value to the decimal value 175, the top row
    of pixels in the bitmap appears as the binary equivalent (10101111).

    ScreenSaveActive   REG_SZ   Boolean
    -----------------------------------
    Default: 0

    Specifies whether a screen saver should be displayed if the system is not
    actively being used. Set this value to 1 to use a screen saver; 0 turns off
    the screen saver.

    ScreenSaverIsSecure   REG_SZ   Boolean
    --------------------------------------
    Default: 0

    Specifies whether a password is assigned to the screen saver.

    ScreenSaveTimeOut   REG_SZ   seconds
    ------------------------------------
    Default: 900

    Specifies the amount of time that the system must be idle before the screen
    saver appears.

    SCRNSAVE.EXE   REG_SZ   Filename
    --------------------------------
    Default: (None)

    Specifies the screensaver executable filename.

    TileWallpaper   REG_SZ   Boolean
    --------------------------------
    Default: 0

    Specifies that the desktop wallpaper is tiled across the screen if this
    value is 1, or centered if this value is 0.

    Wallpaper   REG_SZ   bitmap-filename
    ------------------------------------
    Default: "(None)" (This string appears when no pattern is specified.)

    Supplies the filename for the bitmap on the screen background. Include the
    path if the file is not in the SystemRoot or SystemRoot\SYSTEM32 directory.

    ENVIRONMENT VARIABLE ENTRIES FOR USERS
    ======================================

    The Environment subkey contains the user environment variables, as defined
    by choosing the System icon in Control Panel. Changes to these variables
    take effect the next time a non-Windows NT-based application is run or the
    command prompt is used. These value entries are found under the following
    path:

       HKEY_CURRENT_USER\Environment

    The default is the environment variables defined in the user's profile at
    startup.

    FILE MANAGER ENTRIES FOR USERS
    ==============================

    This section describes settings for user preferences in File Manager.

    File Manager Software Settings
    ------------------------------

    The File Manager subkey under this Registry path contains the user
    preferences for the appearance of items in File Manager:

       HKEY_CURRENT_USER\Software\Microsoft\File Manager\Settings

    The following entries can appear. Most items have a default setting and do
    not appear unless the user makes changes in File Manager.

    AddOns   REG_SZ   Boolean
    -------------------------
    Default: (none)

    ConfirmDelete   REG_SZ   Boolean
    --------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm file deletion
    requests.

    ConfirmFormat   REG_SZ   Boolean
    --------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm formatting
    requests.

    ConfirmMouse   REG_SZ   Boolean
    -------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm mouse drag- and-
    drop requests.

    ConfirmReplace   REG_SZ   Boolean
    ---------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm file replacement
    requests.

    ConfirmSubDel   REG_SZ   Boolean
    --------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm subdirectory
    deletion requests.

    ConfirmSystemHiddenReadOnly   REG_SZ   Boolean
    ----------------------------------------------
    Default: 1 (enabled)

    Specifies whether the user is to be prompted to confirm for system, hidden,
    or read-only file changes.

    dir1   REG_SZ   Comma-separated list
    ------------------------------------
    Default: 0,0,522,249,-1,-1,1,0,202,2033,261,C:\WINNT\*.*

    The current directory settings.

    Face   REG_SZ   Typeface
    -----------------------------

    Specifies the name of the typeface used for desktop items. Default: MS Sans
    Serif.

    FaceWeight   REG_SZ   Number
    ----------------------------

    Specifies 700 for bold or bold italic, 400 for regular or italic. LowerCase
    REG_DWORD    0, 1, 4, 8 Specifies values for lowercase variables checked in
    the Fonts dialog box, as follows:

    Value      Meaning
    ------------------

    0          No options checked
    0x1        Lowercase for FAT drives
    0x4        Italic
    0x8        Lowercase for all drives

    NumButtons   REG_SZ   Number
    ----------------------------
    Default: 15000000

    Size   REG_SZ   Number
    ----------------------
    Default: 8

    The point size for the typeface.

    ToolbarWindow   REG_SZ
    ----------------------
    Default:
    CD000000CE000000FFFFFFFFFE000000FF000000FFFFFFFF9101000092010000FFFFFFFF940
    10000950100009601000097010000FFFFFFFF52040000FFFFFFFF6B0000006A0000006C0000
    00FFFFFFFF5D020000

    Contains user-defined settings for the toolbar, as defined in the Options
    menu in File Manager.

    Window   REG_SZ   Numbers
    -------------------------
    Default: 0,0,640,480, , ,2

    Specifies the size and position of the window and whether it is maximized
    when opened. Use the mouse to move and size the window.

    Extensions Entries for Users
    ----------------------------

    The Extensions subkey identifies personal preferences for document files
    with corresponding command lines, so that opening a document file in File
    Manager automatically starts the application. The extensions are found in
    the following Registry path:

       HKEY_CURRENT_USER\Software\Microsoft
       \Windows NT\CurrentVersion\Extensions

    The following default entries are defined. All have a REG_SZ data type.
    bmp=pbrush.exe ^.bmp crd=cardfile.exe ^.crd ini=notepad.exe ^.ini
    pcx=pbrush.exe ^.pcx rec=recorder.exe ^.rec trm=terminal.exe ^.trm
    txt=notepad.exe ^.txt wri=write.exe ^.wri   The extension information for
    all users can be viewed and modified in HKEY_CLASSES_ROOT. This is where
    you will find the filetypes and extension information for File Manager.

## REFERENCES

"The Windows NT Resource Kit for Operating System Version 3.1".

Additional query words: prodnt

Keywords: kbother KB102977